Package Details: python-pyexcel-ods 0.5.6-1

Git Clone URL: https://aur.archlinux.org/python-pyexcel-ods.git (read-only, click to copy)
Package Base: python-pyexcel-ods
Description: A wrapper library to read, manipulate and write data in ods format
Upstream URL: https://github.com/pyexcel/pyexcel-ods
Licenses: BSD-3-Clause
Submitter: soker
Maintainer: None
Last Packager: soker
Votes: 2
Popularity: 0.000005
First Submitted: 2017-08-12 17:15
Last Updated: 2019-07-31 19:53

Latest Comments

zrhoffman commented on 2020-02-23 13:00

pyexcel_ods works for me at version 0.5.6 when installing from pip.

[zrhoffman@computer directory]$ sudo pip install --force-reinstall pyexcel_ods && python -c 'import pyexcel as p; print("Working")'
Collecting pyexcel_ods
  Using cached https://files.pythonhosted.org/packages/10/8d/b1fa005f55fc3d5fdca476a21c3eff7e3dc5be10f21fb1ba1dc73a3e3872/pyexcel_ods-0.5.6-py2.py3-none-any.whl
Collecting odfpy>=1.3.5
  Using cached https://files.pythonhosted.org/packages/97/73/8ade73f6749177003f7ce3304f524774adda96e6aaab30ea79fd8fda7934/odfpy-1.4.1.tar.gz
Collecting pyexcel-io>=0.5.16
  Using cached https://files.pythonhosted.org/packages/50/96/4fd9f1fac8aae6f4f66609c5520b3611bceb631a52a4f6d00c8c4c440270/pyexcel_io-0.5.20-py2.py3-none-any.whl
Collecting defusedxml
  Using cached https://files.pythonhosted.org/packages/06/74/9b387472866358ebc08732de3da6dc48e44b0aacd2ddaa5cb85ab7e986a2/defusedxml-0.6.0-py2.py3-none-any.whl
Collecting lml>=0.0.4
  Using cached https://files.pythonhosted.org/packages/90/e5/eaa5a1c8a9adbac956daa6027789ff13e30362a03cc0d010d88bd867c73f/lml-0.0.9-py2.py3-none-any.whl
Installing collected packages: defusedxml, odfpy, lml, pyexcel-io, pyexcel-ods
  Found existing installation: defusedxml 0.6.0
    Uninstalling defusedxml-0.6.0:
      Successfully uninstalled defusedxml-0.6.0
  Found existing installation: odfpy 1.4.1
    Uninstalling odfpy-1.4.1:
      Successfully uninstalled odfpy-1.4.1
    Running setup.py install for odfpy ... done
  Found existing installation: lml 0.0.9
    Uninstalling lml-0.0.9:
      Successfully uninstalled lml-0.0.9
  Found existing installation: pyexcel-io 0.6.0
    Uninstalling pyexcel-io-0.6.0:
      Successfully uninstalled pyexcel-io-0.6.0
  Found existing installation: pyexcel-ods 0.5.6
    Uninstalling pyexcel-ods-0.5.6:
      Successfully uninstalled pyexcel-ods-0.5.6
Successfully installed defusedxml-0.6.0 lml-0.0.9 odfpy-1.4.1 pyexcel-io-0.5.20 pyexcel-ods-0.5.6
Working

soker commented on 2020-02-23 11:52

This version does not work with the latest versions of pexcel_io. I wrote to the developer but received no response. I will try to make a downgrade.

zrhoffman commented on 2020-02-23 11:42

Installing this package breaks pyexcel_io.

>>> import pyexcel_io
pyexcel_ods is abscent or cannot be imported
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/lml/utils.py", line 42, in do_import
    return _do_import(plugin_module_name)
  File "/usr/lib/python3.8/site-packages/lml/utils.py", line 51, in _do_import
    plugin_module = __import__(plugin_module_name)
  File "/usr/lib/python3.8/site-packages/pyexcel_ods/__init__.py", line 12, in <module>
    from pyexcel_io.io import store_data as write_data
ImportError: cannot import name 'store_data' from 'pyexcel_io.io' (/usr/lib/python3.8/site-packages/pyexcel_io/io.py)

soker commented on 2017-08-13 14:15

Fixed. Thanks!

midgard commented on 2017-08-13 14:00

Line 18 of PKGBUILD: please quote ${pkgdir}, it may contain spaces.